%global githash c278588
%global gitdate 20210526

Name:           foxi
Version:        0
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        ONNXFI
License:        BSD
URL:            https://github.com/houseroad/foxi

Source0:        %{name}.tar.xz

BuildRequires:  cmake gcc-c++

%global __cmake_in_source_build 1


%description
ONNXIFI with Facebook Extension

%package        devel
Summary:        Development files
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the development files for %{name}.



%prep
%setup -q -n %{name}



%build
sed -i 's|"hidden"|"default"|' foxi/onnxifi_loader.h
sed -i 's|foxi_loader STATIC|foxi_loader SHARED|' CMakeLists.txt
sed -i 's|PROPERTIES C_STANDARD|PROPERTIES SOVERSION 1 VERSION 1.0 C_STANDARD|' CMakeLists.txt
sed -i '/add_library(foxi_dummy/,/^endif()/d' CMakeLists.txt
sed -i 's|foxi_dummy||g' CMakeLists.txt
sed -i '/if (NOT ANDROID AND NOT IOS)/,/^endif()/d' CMakeLists.txt
sed -i 's|foxi_wrapper||g' CMakeLists.txt
sed -i 's|DESTINATION lib)|DESTINATION %{_lib})|' CMakeLists.txt

mkdir build
pushd build

export ONNX_ML=0
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo

make %{?_smp_mflags}

popd


%install
rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%license LICENSE
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com> - 0.1
- initial build
